// Java program to implement 
// a Singly Linked List 
public class LinkedList {

	private Node head; // head of list

	// Linked list Node.
	// This inner class is made static
	// so that main() can access it
	static class Node {

		String data;
		Node next;

		// Constructor
		Node(String d) {
			data = d;
			next = null;
		}
	}

	public LinkedList() {
		head = null;
	}
	
	// Method to insert a new node
	public void insert(String string) {
		// Create a new node with given data
		Node new_node = new Node(string);
		new_node.next = null;

		// If the Linked List is empty,
		// then make the new node as head
		if (head == null) {
			head = new_node;
		} else {
			// Else traverse till the last node
			// and insert the new_node there
			Node last = head;
			while (last.next != null) {
				last = last.next;
			}

			// Insert the new_node at last node
			last.next = new_node;
		}
	}

	// Method to print the LinkedList.
	public void printList() {
		Node currNode = head;

		System.out.println("LinkedList: ");

		// Traverse through the LinkedList
		while (currNode != null) {
			// Print the data at current node
			System.out.println(currNode.data + " ");

			// Go to next node
			currNode = currNode.next;
		}
	}

	public int returnLength() {
		Node currNode = head;
		int length = 0;
//		System.out.println("LinkedList: ");

		// Traverse through the LinkedList
		while (currNode != null) {
			// Print the data at current node

			// Go to next node
			currNode = currNode.next;
			++length;
		}
		return length;
	}
}
